﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ToStringTest
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            List<Customer> customerList = BuildCustomerList();

            comboBox1.DataSource = customerList;

            ultraComboEditor1.DataSource = customerList;
        }

        private List<Customer> BuildCustomerList()
        {
            return new List<Customer>()
            {
                new Customer() { FirstName="George", LastName="Washington" },
                new Customer() { FirstName="John", LastName="Adams" },
                new Customer() { FirstName="Thomas", LastName="Jefferson" },
                new Customer() { FirstName="James", LastName="Madison" }
            };
        }
    }
}
